Subject: Re: bug#4848: 23.1.50; \u and \x in string
From: Noam Postavsky <[email-masked]>
To: [email-masked]
Date: Mon, 13 Jun 2016 22:45:33 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

"Non-ASCII In Strings" now (24.5) says the following which explains
about "\xN" producing unibyte characters.

   You can also use hexadecimal escape sequences (‘\xN’) and octal
escape sequences (‘\N’) in string constants.  *But beware:* If a string
constant contains hexadecimal or octal escape sequences, and these
escape sequences all specify unibyte characters (i.e., less than 256),
and there are no other literal non-ASCII characters or Unicode-style
escape sequences in the string, then Emacs automatically assumes that it
is a unibyte string.  That is to say, it assumes that all non-ASCII
characters occurring in the string are 8-bit raw bytes.